#ifndef __DEFNS_H__
#define __DEFNS_H__

#include <limits.h>

typedef int BOOL;
typedef int Type;

#define TYPE_MODIFIER "%d"

#define TRUE 1
#define FALSE 0

#define INVALID_WEIGHT INT_MAX
//#define INVALID_WEIGHT 0

typedef enum _GRAPHTYPE {
	DIRECTED,
	UNDIRECTED
} GRAPHTYPE;


#define MAX(x, y) ((x) > (y)? (x): (y))
#define ERROR(str) \
			{	fprintf(stderr, "ERROR:%s:%s():%d:\n\t%s\nExiting...\n\n", __FILE__, __FUNCTION__, __LINE__, str);\
				exit(-1);\
			}

#define WARNING(str) \
			{	fprintf(stderr, "WARNING:%s:%s():%d:\n\t%s\n\n", __FILE__, __FUNCTION__, __LINE__, str);\
			}

#endif //__DEFNS_H__